#include "HardwareInfo.c"
#include "JMLib.c"
#include <SetLCDBack.h>
#include <SetLCDString.h>
#include <GetTouchScreenX.h>
#include <SetLCD5Char.h>
#include <GetTouchScreenY.h>
#include <SetLCDDot.h>
#include <SetMotorPower.h>

int main(void)
{
    X3RCU_Init();
    unsigned int x = 0;
    unsigned int y = 0;
    SetLCDBack(1);
    SetLCDString(0, 0, "Touch Test:", YELLOW, BLACK);
    while (1)
    {
        SetLCDString(8, 16, "x : ", YELLOW, BLACK);
        x = GetTouchScreenX();
        SetLCD5Char(48, 16, x, YELLOW, BLACK);
        SetLCDString(8, 32, "y : ", YELLOW, BLACK);
        y = GetTouchScreenY();
        SetLCD5Char(48, 32, y, YELLOW, BLACK);
        SetLCDDot(x, y, YELLOW);
    }
    SetMotorPower(100, 100, 100, 100, 100, 100);
    while(1);
}

